Index: main/ngren.theme/trunk/ngren/theme/browser/configure.zcml
===================================================================
--- main/ngren.theme/trunk/ngren/theme/browser/configure.zcml	(revision 10190)
+++ main/ngren.theme/trunk/ngren/theme/browser/configure.zcml	(revision 10240)
@@ -4,5 +4,7 @@
     xmlns:plone="http://namespaces.plone.org/plone"
     i18n_domain="ngren.theme">
-
+    
+  <include package="plone.app.contentmenu" />
+  
   <interface
       interface=".interfaces.IThemeSpecific"
@@ -55,4 +57,5 @@
    <browser:viewlet
         name="plone.slides_viewlet"
+        for="Products.CMFCore.interfaces.ISiteRoot"
         manager="plone.app.layout.viewlets.interfaces.IAboveContentTitle"
         class=".slide.SlideViewlet"
@@ -62,4 +65,5 @@
    <browser:viewlet
         name="plone.featured_viewlet"
+        for="Products.CMFCore.interfaces.ISiteRoot"
         manager="plone.app.layout.viewlets.interfaces.IAboveContentTitle"
         class=".featured.FeaturedViewlet"
@@ -69,4 +73,5 @@
    <browser:viewlet
         name="plone.banner_viewlet"
+        for="Products.CMFCore.interfaces.ISiteRoot"
         manager="plone.app.layout.viewlets.interfaces.IAboveContentTitle"
         class=".banner.BannerViewlet"
@@ -96,3 +101,14 @@
         permission="zope2.View"
         /> 
+        
+ <browser:page
+    for="Products.CMFCore.interfaces.ISiteRoot"
+    name="frontpageview"
+    title="Frontpage View"
+    menu="plone_displayviews"
+    class=".frontpageview.FrontpageView"
+    permission="zope2.View"
+    layer=".interfaces.IThemeSpecific"
+    />        
+        
 </configure>
Index: main/ngren.theme/trunk/ngren/theme/browser/frontpageview.py
===================================================================
--- main/ngren.theme/trunk/ngren/theme/browser/frontpageview.py	(revision 10240)
+++ main/ngren.theme/trunk/ngren/theme/browser/frontpageview.py	(revision 10240)
@@ -0,0 +1,13 @@
+# -*- coding: utf-8 -*-
+from Products.Five.browser import BrowserView
+from Products.Five.browser.pagetemplatefile import ViewPageTemplateFile
+from Products.CMFCore.utils import getToolByName
+
+
+class FrontpageView(BrowserView):
+	""" Default view of a kontextnavigation
+	"""
+	template = ViewPageTemplateFile('templates/frontpageview.pt')
+    
+	def __call__(self):
+		return self.template()
Index: main/ngren.theme/trunk/ngren/theme/browser/stylesheets/main.css
===================================================================
--- main/ngren.theme/trunk/ngren/theme/browser/stylesheets/main.css	(revision 10190)
+++ main/ngren.theme/trunk/ngren/theme/browser/stylesheets/main.css	(revision 10240)
@@ -80,7 +80,46 @@
 
 
+#viewlet-below-content{
+	display:block;
+	clear:both;
+}
+#user-options{
+	max-width:330px;
+	text-align:right;
+}
+
+
+.label:empty, .badge:empty {
+	display:inline-block;
+}
+
+#content div.newsImageContainer p.discreet {
+    background-color: rgba(40, 40, 40, 0.7);
+    color: White;
+    font-weight: bold;
+    left: 5px;
+    margin: 0;
+    padding: 0.5em;
+    position: relative;
+    top: -38px;
+    width: 189px;
+}
+
 
 /** responsive Banners **/
+@media(min-width:768px) and (max-width:979px){
+#user-options{
+		max-width:100%;
+		width:auto;
+		text-align:right;
+	}
+
+}
 @media(max-width:767px){
+	#user-options{
+		max-width:100%;
+		width:auto;
+		text-align:right;
+	}
 	#partners-tile td {
 		display: block;
Index: main/ngren.theme/trunk/ngren/theme/browser/templates/frontpageview.pt
===================================================================
--- main/ngren.theme/trunk/ngren/theme/browser/templates/frontpageview.pt	(revision 10240)
+++ main/ngren.theme/trunk/ngren/theme/browser/templates/frontpageview.pt	(revision 10240)
@@ -0,0 +1,16 @@
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en"
+      xmlns:tal="http://xml.zope.org/namespaces/tal"
+      xmlns:metal="http://xml.zope.org/namespaces/metal"
+      xmlns:i18n="http://xml.zope.org/namespaces/i18n"
+      lang="en"
+      metal:use-macro="context/main_template/macros/master"
+      i18n:domain="ngren.theme">
+
+<body>
+
+    <metal:content-core fill-slot="content-core">
+
+    </metal:content-core>
+
+</body>
+</html>
